{config, pkgs, ...}:

with import ./network.nix;
{
  services.minecraft-server = {
    enable = true;
    eula = true;
    declarative = true;
    serverProperties = {
      motd = "Welcome on the RuNas server!";
    };
  };

  networking.extraHosts = ''
    ${architect-lan} minecraft.giugl.io
    ${architect-wg} minecraft.giugl.io
    '';
}
